/*
================================================================================

ProdMe dashboard widget

Author: Jim Carlson (jacF93@hampshire.edu, http://ucsu.colorado.edu/~carlson)
  Date: 5/2/06

================================================================================
*/

/**
 * Delete this instance's preference settings when it is removed from Dashboard
 */
function clearAllPrefs()
{
	if (window.widget) {
		clearPref("volume");
		clearPref("sound");
		clearPref("clockChimes");
		clearPref("bgColor");
		clearPref("chimeType");
        clearPref("drawerShown");
        
        // Mute-related prefs
		clearPref("isMuted");
        clearPref("muteBetweenStart");
        clearPref("muteBetweenEnd");
        clearPref("muteBetweenEnabled");
        
        // Text alert prefs
        clearPref("textMessage");
        clearPref("showTextMessage");
        clearPref("useGrowl");
        
        // Clock chime prefs
        clearPref("ClockChimeInterval");
        clearPref("ClockChimeStrikeHour");
        
        // OS9 style chime prefs
        clearPref("OS9StrikeHour");
		var i;
		for (i=0; i<4; i++) {
			clearPref("OS9_"+i);
		}
        
        // Alarm clock prefs
        clearPref("AlarmTime");
        clearPref("AlarmRepeatUntilDismissed");
        clearPref("AlarmSnoozeLength");
        clearPref("AlarmSnoozeOn");
        
        // "Other" chime prefs
        clearPref("OtherPresetInterval");
        clearPref("OtherCustomInterval");
        clearPref("OtherUseCustomInterval");
	}
}


function storeAllPrefs()
{
	if (window.widget) {
		storePref(gVolume, "volume");
		storePref(gPathToSound, "sound");
		storePref(gLastBGColor, "bgColor");
		storePref(gChimeType, "chimeType");
        storePref(gDrawerShown, "drawerShown");
        
        // Mute-related prefs
		storePref(gIsMuted, "isMuted");
        storePref(gMuteBetweenEnabled, "muteBetweenEnabled");
        storePref(gMuteBetweenStart, "muteBetweenStart");
        storePref(gMuteBetweenEnd, "muteBetweenEnd");
        
        // Text alert prefs
        storePref(gTextMessage, "textMessage");
        storePref(gShowTextMessage, "showTextMessage");
        storePref(gUseGrowl, "useGrowl");
        
        // Clock chime prefs
        storePref(gClockChimeInterval, "ClockChimeInterval");
        storePref(gClockChimeStrikeHour, "ClockChimeStrikeHour");
        
        // OS9 style chime prefs
        storePref(gOS9StrikeHour, "OS9StrikeHour");
		var i;
		for (i=0; i<4; i++) {
			storePref(gOS9Chimes[i], ("OS9_"+i));
		}
        
        // Alarm clock prefs
        storePref(gAlarmTime, "AlarmTime");
        storePref(gAlarmRepeatUntilDismissed, "AlarmRepeatUntilDismissed");
        storePref(gAlarmSnoozeLength, "AlarmSnoozeLength");
        
        // "Other" chime prefs
        storePref(gOtherPresetInterval, "OtherPresetInterval");
        storePref(gOtherCustomInterval, "OtherCustomInterval");
        storePref(gOtherUseCustomInterval, "OtherUseCustomInterval");
	}
}


function restoreAllPrefs()
{
	if (window.widget) {
		gVolume         = retrievePref("volume", 3);
		gPathToSound    = retrievePref("sound", "");
		gLastBGColor    = retrievePref("bgColor", 1);
		gChimeType      = retrievePref("chimeType", "off");
        gDrawerShown    = retrievePref("drawerShown", false);
        
        // Mute-related prefs
		gIsMuted        = retrievePref("isMuted", false);
        gMuteBetweenEnabled = retrievePref("muteBetweenEnabled", false);
        gMuteBetweenStart   = retrievePref("muteBetweenStart", 82800000);   // 11:00 pm
        gMuteBetweenEnd     = retrievePref("muteBetweenEnd", 25200000);     // 7:00 am
        
        // Text alert prefs
        gTextMessage    = retrievePref("textMessage", "Very important reminder!");
        gShowTextMessage = retrievePref("showTextMessage", false);
        gUseGrowl       = retrievePref("useGrowl", true);
        
        // Clock chime prefs
        gClockChimeInterval     = retrievePref("ClockChimeInterval", 1);
        gClockChimeStrikeHour   = retrievePref("ClockChimeStrikeHour", false);
        
        // OS9 style chime prefs
        gOS9StrikeHour = retrievePref("OS9StrikeHour", false);
		var i;
		for (i=0; i<4; i++) {
			gOS9Chimes[i]   = retrievePref("OS9_"+i, null);
		}
        
        // Alarm clock prefs
        gAlarmTime = retrievePref("AlarmTime", 82800000);   // 11:00 pm
        gAlarmRepeatUntilDismissed = retrievePref("AlarmRepeatUntilDismissed", true);
        gAlarmSnoozeLength = retrievePref("AlarmSnoozeLength", 9);
        
        // "Other" chime prefs
        gOtherPresetInterval = retrievePref("OtherPresetInterval", 1);
        gOtherCustomInterval = retrievePref("OtherCustomInterval", 1);
        gOtherUseCustomInterval = retrievePref("OtherUseCustomInterval", false);
	}
}



